<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2023
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * Report
 * 
 * @author sochoa@openkm.com
 */
class Report {

    const FORMAT_TEXT = "text/plain";
    const FORMAT_HTML = "text/html";
    const FORMAT_PDF = "application/pdf";
    const FORMAT_RTF = "application/rtf";
    const FORMAT_CSV = "text/csv";
    const FORMAT_ODT = "application/vnd.oasis.opendocument.text";
    const FORMAT_DOCX = "application/vnd.openxmlformats-officedocument.wordprocessingml.document";

    private $id;
    private $name;
    private $fileMime;
    private $fileName;
    private $active = false;
    private $formElements = [];

    function __construct() {
        
    }

    function getId() {
        return $this->id;
    }

    function getName() {
        return $this->name;
    }

    function getFileMime() {
        return $this->fileMime;
    }

    function getFileName() {
        return $this->fileName;
    }

    function getActive() {
        return $this->active;
    }

    function getFormElements() {
        return $this->formElements;
    }

    function setId($id) {
        $this->id = $id;
    }

    function setName($name) {
        $this->name = $name;
    }

    function setFileMime($fileMime) {
        $this->fileMime = $fileMime;
    }

    function setFileName($fileName) {
        $this->fileName = $fileName;
    }

    function setActive($active) {
        $this->active = $active;
    }

    function setFormElements($formElements) {
        $this->formElements = $formElements;
    }

}
